> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finish Device Login



## OpenAPI

````yaml /openapi.json post /v1/auth/device/finish
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/auth/device/finish:
    post:
      summary: Finish Device Login
      operationId: finish_device_login_v1_auth_device_finish_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HostedLoginPoll'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedLoginToken'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedLoginPoll:
      additionalProperties: false
      properties:
        device_code:
          title: Device Code
          type: string
      required:
        - device_code
      title: HostedLoginPoll
      type: object
    HostedLoginToken:
      additionalProperties: false
      properties:
        access_token:
          title: Access Token
          type: string
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - access_token
        - refresh_token
      title: HostedLoginToken
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````